#!/bin/sh
#
# Check if a DirectoryService crash files exist.  If so, move
# them to the DirectoryService crash sub-directory and restart AFP
#
# Jamie Curmi (jamie@curmi.com) - 8 April 2008
#
# No warranty is made to this scripts usefulness, and no responsibility
# will be taken for loss incurred through its use or misuse.

crashfiles="/Library/Logs/CrashReporter/DirectoryService*.crash"
newlocation="/Library/Logs/CrashReporter/DirectoryService"

if [ "`echo $crashfiles`" != "$crashfiles" ]; then
        /bin/mv $crashfiles $newlocation
        serveradmin stop afp
        serveradmin start afp
        Logger "AFP restarted after DS crash"
fi